Skip to main content
GET
/
tokenization
/
tokens
/
{id}
/
total_supply
TypeScript
const response: Promise<FireblocksResponse<TotalSupplyPagedResponse>> = fireblocks.tokenization.getTokenTotalSupply(tokenizationApiGetTokenTotalSupplyRequest);
{
  "data": [
    {
      "timestamp": "2024-01-01T23:59:59.999Z",
      "totalSupply": "1000000000000000000000"
    }
  ],
  "next": "MjAyMy0xMi0xMyAyMDozNjowOC4zMDI=:MTEwMA==",
  "prev": "dGhpcyBpcyBhIHByZXZpb3VzIGN1cnNvcg==",
  "total": 150
}

Path Parameters

id
string
required

The token link id

Query Parameters

startDate
string<date-time>

Start date of the time range in ISO 8601 format

endDate
string<date-time>

End date of the time range in ISO 8601 format

interval
enum<string>
default:DAY

Time interval for grouping data

Available options:
HOUR,
DAY,
WEEK,
MONTH
pageCursor
string

Page cursor to get the next page

pageSize
integer

Number of items per page (max 100), requesting more than 100 will return 100 items

Required range: 1 <= x <= 100
sortBy
enum<string>
default:blockTimestamp

Sorting field (enum). Sorting only supported by 'blockTimestamp'

Available options:
blockTimestamp
order
enum<string>
default:DESC

ASC / DESC ordering (default DESC)

Available options:
ASC,
DESC

Response

Successfully retrieved the token total supply history

data
object[]
required

Array of total supply data points

Example:
[
  {
    "timestamp": "2024-01-01T23:59:59.999Z",
    "totalSupply": "1000000000000000000000"
  }
]
next
string

Cursor for next page

Example:

"MjAyMy0xMi0xMyAyMDozNjowOC4zMDI=:MTEwMA=="

prev
string

Cursor for previous page

Example:

"dGhpcyBpcyBhIHByZXZpb3VzIGN1cnNvcg=="

total
number

Total count of items

Example:

150